TagLib::DebugListener Class Referenceabstract

An abstraction for the listener to the debug messages. More...

`#include <tdebuglistener.h>`

## Public Member Functions

| DebugListener ()
virtual | ~DebugListener ()
| DebugListener (const DebugListener &)=delete
DebugListener & | operator= (const DebugListener &)=delete
virtual void | printMessage (const String &msg)=0

## Detailed Description

An abstraction for the listener to the debug messages.

This class enables you to handle the debug messages in your preferred way by subclassing this class, reimplementing printMessage() and setting your reimplementation as the default with setDebugListener().

See also
  setDebugListener()

## Constructor & Destructor Documentation

## DebugListener() [1/2]

TagLib::DebugListener::DebugListener | ( |  | ) |

Referenced by DebugListener(), and operator=().

## ~DebugListener()

virtual TagLib::DebugListener::~DebugListener | ( |  | ) |

virtual

## DebugListener() [2/2]

TagLib::DebugListener::DebugListener | ( | const DebugListener & |  | ) |

delete

References DebugListener().

## Member Function Documentation

## operator=()

DebugListener & TagLib::DebugListener::operator= | ( | const DebugListener & |  | ) |

delete

References DebugListener().

## printMessage()

virtual void TagLib::DebugListener::printMessage | ( | const String & | msg | ) |

pure virtual

When overridden in a derived class, redirects msg to your preferred channel such as stderr, Windows debugger or so forth.

References TAGLIB_MSVC_SUPPRESS_WARNING_NEEDS_TO_HAVE_DLL_INTERFACE.

The documentation for this class was generated from the following file:

- tdebuglistener.h